Changelog

  • Snapshots:
    • A bug provoking state restart while taking snapshots from CS in-app is fixed
    • A bug provoking state restart of ContentsquareRoot when displaying CS in-app is fixed
  • Session Replay
    • Fix an issue on Android Session Replays
    • Support of webviews was added to the Session Replay for both Android and iOS platforms (check the documentation for additional implementation steps)
    • From now on, the masking configuration can be changed dynamically during the Session Replay on the Flutter elements
  • Native SDKs:
    • iOS: 4.27.0 → 4.29.1
    • Android: 4.23.1 → 4.24.1
      • ⚠️ compileSdkVersion should be bumped to 34
  • [🚨 Maximum Flutter version]
    • Add support of the latest Flutter version (3.16 and later)
  • API Errors:
    • Support of the API Errors feature has been added to Android platform
  • Session Replay
    • Support of the Session Replay feature has been added to Android platform
  • Reliable Targets
    • Support of the Reliable Targets feature has been added to both Android and iOS platforms
  • User Identifier
    • Support of the User Identifier feature has been added to both Android and iOS platforms
  • Native SDKs:
    • Android: 4.21.0 → 4.23.1
    • iOS: 4.25.0 → 4.27.0
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Custom Variables:
    • Support of the Custom Variables feature has been added to Android
  • API Errors:
    • Support of the API Errors feature has been added to iOS
  • Session Replay
    • Minor fidelity improvements
  • Native SDKs:
    • Android: 4.20.0 → 4.21.0
    • iOS: 4.24.0 → 4.25.0
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Native SDKs:
    • Android: 4.19.0 → 4.20.0
    • iOS: 4.23.0 → 4.24.0
  • Session Replay
    • Minor fidelity improvements
  • Custom Variables:
    • Support of the Custom Variables feature has been added to iOS
  • API Errors:
    • Added a log when API Errors collection is enabled or disabled in iOS (for future usage)
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Bug fix:
    • Fixed an issue on Android, caused a crash during the initialization of the SDK. Bug was introduced since the release of 3.1.0
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Bug fix: Fix critical bug for clients who use Flutter < 3.0 introduced in the CS SDK release 3.1.0
  • API:
    • New method getter currentSessionReplayUrl (iOS Only)
  • Session Replay fidelity improvements:
    • Shadows
    • Clipping
    • Radius
    • Transparency
    • Blur
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Native SDKs:
    • Android: 4.18.1 → 4.19.0
    • iOS: 4.22.1 → 4.23.0
  • Session Replay improvements:
    • Added icons support
    • Performance improvement for unmasked images
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Native SDKs:
    • Android: 4.17.0 → 4.18.1
    • iOS: 4.21.0 → 4.22.1
  • Session Replay feature is available for iOS only. For more information, reach out to your Contentsquare contact.
  • [🚨 Maximum Flutter version]
    • Currently, the maximum Flutter version supported by the plugin is 3.13.9.
    • Support of the Flutter version 3.16 and later is added back in the plugin 3.5.1. Update the plugin if you are using Flutter 3.16 or later.
  • Native SDKs:
    • Android: 4.16.0 → 4.17.0
    • iOS: 4.20.0 → 4.21.0
  • Native SDKs:
    • Android: 4.15.0 → 4.16.0
  • Native SDKs:
    • iOS: 4.18.0 → 4.20.0
  • Bug fix: Track Transactions now supports any value while it would previously fail if the given transaction value contained decimals.
  • WebView Tracking:
    • [🚨 Breaking Change 🚨] Feature: You can now use the SDK with any version of the webview_flutter plugin. However to do so we had to remove the first party support for this plugin. You can still use the generic webview tracking API. See the updated documentation for concrete implementation examples.
    • [🚨 Breaking Change 🚨] Refactoring: JavascriptChannel has been renamed to ContentsquareJavascriptChannel to avoid naming conflicts with other plugins.
    • Refactoring: tracker.initializeWebViewTracking has been renamed to tracker.startPageTracking. Using tracker.initializeWebViewTracking is deprecated and will be removed in a future release.
  • Native SDKs:
    • Android: 4.14.0 → 4.15.0
    • iOS: 4.17.0 → 4.18.0
  • Fix: Bump the lowest supported Dart SDK version from 2.12.0 to 2.15.0

1.3.1 - 2022.12.22 - Deprecated

Section titled 1.3.1 - 2022.12.22 - Deprecated
  • Native SDKs:
    • Android: 4.13.1 → 4.14.0
    • iOS: 4.13.0 → 4.17.0
  • Fix: Update dependency of contentsquare on contentsquare_plugin_interface

1.0.0 - 2022.10.24 - Deprecated

Section titled 1.0.0 - 2022.10.24 - Deprecated

⚠️ This version is deprecated due to bad dependency which prevents the plugin from compiling. Use version the latest version of the plugin instead.

  • License: License update
  • Bug fix: Fixed an issue on Android, where CS in-app features menu caused a crash while using the opt-out and opt-in operations
  • Native SDKs: Android 4.11.0
  • Error when building in profile mode: Bump compileSdkVersion to 31 to support Gradle version >= 4.2.0
  • Snapshots:
    • Stability improvement for Navigator pushed screens
  • Snapshots:
    • Fix issue on generating accurate targets for gestures
    • Only include widgets which are currently visible
  • Native SDKs: Android 4.9.0 and iOS 4.13.0
  • Snapshots: Fixed an issue where snapshot captured was not rendering the right screen.
  • Gesture tracking: Fixed an issue on our gesture detector that could cause an exception to be thrown in edge cases.
  • Native SDKs: Android 4.8.0 and iOS 4.12.0
  • Snapshots: Fixed snapshot capture infinite loading on Android caused by WebView; fixed snapshot capture infinite loading on iOS caused by conflict with background_locator plugin; fixed visual bug with the app bar; fixed empty snapshot on iOS related to autostart disabled.
  • Native SDKs: Android 4.8.0 and iOS 4.11.0
  • Crash at app launch on Android: Fixed a bug introduced crashing the app on Android, at app start.
  • Gesture tracking: Gesture tracking optimization; fixed issue preventing scrolling in WebView;
  • Snapshots: Size Optimisation.
  • Native SDKs: Android 4.7.0 and iOS 4.11.0
  • Native SDKs: Android 4.7.0 and iOS 4.10.1
  • Gesture tracking: Fixed performance issue related to gesture tracking
  • Snapshots: Support snapshot capture on iOS
  • Native SDKs: Android 4.3.0 and iOS 4.10.0
  • Gesture tracking: Now support gesture tracking accurately.

📚 Flutter Webview Plugin Documentation

  • Contentsquare Flutter Plugin:
    • 2.3.0 → 3.1.0
  • Support of Flutter 3.10
  • Contentsquare Flutter Plugin:
    • 2.2.0 → 2.3.0
  • Support of webview_flutter v4
  • Support of webview_flutter v3